<apex:page title="Swift Current" controller="SwiftCurrentController">
    <style>
        .twohundredfifty {
            width: 200px;
        }
        .remainder {

        }
        .quarter {
            width: 25%;
        }
        .tableHeader {
            font-size: 130% !important;
        }
        .rowStyle {
            vertical-align: middle;
        }
        .activeTab {
            background-color: #3E7FA3;
            color:white;
            background-image:none;
            padding:5px 10px;
        }
        .inactiveTab {
            background-color: lightgrey;
            color:black;
            background-image:none;
            padding:5px 10px;
        }
    </style>
    <apex:pageMessage rendered="{!NOT(hasChatterAccess)}" severity="error" strength="3" title="Insufficient Privileges" summary="Only members of the Swift Current Chatter Group can access this page."></apex:pageMessage>
    <apex:outputPanel rendered="{!hasChatterAccess}">
        <apex:tabPanel selectedTab="detailTab" switchType="client" id="tabPanel" tabClass="activeTab" inactiveTabClass="inactiveTab" contentStyle="font-size: 100%;">
            <apex:tab label="Feed" id="feedTab" style="background-color:white;border-right:none;border-bottom:none">
                <apex:outputPanel rendered="{!AND(SwiftCurrentTeamChatterGroup != null, SwiftCurrentTeamChatterGroup != '')}">
                    <chatter:feed entityId="{!SwiftCurrentTeamChatterGroup}"/>
                </apex:outputPanel>
            </apex:tab>
            <apex:tab label="Details" id="detailTab" style="background-color:white;border-right:none;border-bottom:none">    
                <apex:sectionHeader title="Operating District" subtitle="Swift Current / Estevan"/>
                <apex:panelGrid columns="3" columnClasses="twohundredfifty,remainder" width="100%">
                    <apex:pageBlock >
                        <apex:pageBlockTable value="{!assets}" var="asset" rowClasses="rowStyle">
                            <apex:column title="Assets" headerValue="Assets" headerClass="tableHeader" style="{! IF(asset.isActive, '', 'opacity:0.5') }">

                                <apex:outputLink style="margin-left:10px" value="{!asset.URL}" disabled="{!NOT(asset.isActive)}">
                                    <img src="{!URLFOR($Resource.GRDicons, asset.icon)}" style="vertical-align:middle"/>
                                    <apex:outputText style="margin-left:10px" value="{!asset.name}"/>
                                </apex:outputLink>
                            </apex:column>
                        </apex:pageBlockTable>
                    </apex:pageBlock>
                    <iframe src="{!spotfireURL}" style="height:700px;width:100%;"/>
                </apex:panelGrid>
                <apex:outputPanel layout="block" style="height:180px;width:100%;border-top:3px solid #1797C0;position:relative;border-bottom:1px solid #EAEAEA;">
                    <apex:outputPanel style="width:100%;white-space:nowrap;position:absolute;overflow-x:scroll;overflow-y:scroll" layout="block">
                        <table style="width:100%">
                            <tbody>
                                <tr>
                                    <apex:repeat value="{!teams}" var="team">
                                        <td>
                                        <apex:outputPanel style="text-align:center;display:inline-block;width:100%">
                                            <apex:outputLink value="/apex/{!team.URL}" style="text-decoration:none">
                                                <apex:image url="{!URLFOR($Resource.GRDteams, team.pic)}" height="150px"/>
                                                <div style="margin-top:-20px">
                                                    <span style="font-size:120%;background-color: rgb(255, 255, 255); border-radius: 5px 5px 0px 0px; padding: 5px 8px 5px 8px;">
                                                        {!team.name}
                                                    </span>
                                                </div>
                                            </apex:outputLink>
                                        </apex:outputPanel>
                                        </td>
                                    </apex:repeat>
                                </tr>
                            </tbody>
                        </table>
                    </apex:outputPanel>
                </apex:outputPanel>
            </apex:tab>    
        </apex:tabPanel>
    </apex:outputPanel>
</apex:page>